[HarfBuzz] harfbuzz-ng: Branch 'master' - 3 commits
Behdad Esfahbod
behdad at kemper.freedesktop.org
Mon Aug 1 13:39:43 PDT 2011
autogen.sh | 18 +++++++++++++-----
src/Makefile.am | 3 ++-
src/hb-ot-shape-complex-indic.cc | 7 ++++++-
3 files changed, 21 insertions(+), 7 deletions(-)
New commits:
commit 1264b23e4a4ae1c9831a3009e1c7ab8e65a5b434
Author: Behdad Esfahbod <behdad at behdad.org>
Date: Mon Aug 1 16:39:32 2011 -0400
Bug 39702 - configure check for ragel
diff --git a/autogen.sh b/autogen.sh
index f207aa7..cdebe07 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -7,13 +7,21 @@ test -n "$srcdir" || srcdir=.
olddir=`pwd`
cd $srcdir
-AUTORECONF=`which autoreconf`
-if test -z $AUTORECONF; then
+echo -n "checking for ragel... "
+which ragel || {
+ echo "You need to install ragel... See http://www.complang.org/ragel/"
+ exit 1
+}
+
+echo -n "checking for autoreconf... "
+which autoreconf || {
echo "*** No autoreconf found, please install it ***"
exit 1
-else
- autoreconf --force --install || exit $?
-fi
+}
+
+echo "running autoreconf"
+autoreconf --force --install || exit $?
cd $olddir
+echo "running configure $@"
test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
commit f5414cf0a220d6e6f3d4b6e8221cd583b4684187
Author: Behdad Esfahbod <behdad at behdad.org>
Date: Mon Aug 1 16:34:16 2011 -0400
Use missing script for calling ragel
diff --git a/src/Makefile.am b/src/Makefile.am
index bb3b425..b812419 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -127,7 +127,8 @@ EXTRA_DIST += $(GENERATORS)
BUILT_SOURCES = hb-ot-shape-complex-indic-machine.hh
EXTRA_DIST += hb-ot-shape-complex-indic-machine.rl
hb-ot-shape-complex-indic-machine.hh: hb-ot-shape-complex-indic-machine.rl
- $(AM_V_GEN)ragel -e -F1 -o $@ $^
+ $(AM_V_GEN)$(top_srcdir)/missing --run ragel -e -F1 -o "$@.tmp" "$<" && \
+ mv "$@.tmp" "$@"
noinst_PROGRAMS = main test
bin_PROGRAMS =
commit a91c58bf98258a34e5f7c1ad39a38db58fadc4b9
Author: Behdad Esfahbod <behdad at behdad.org>
Date: Mon Aug 1 16:30:11 2011 -0400
[Indic] Disable CJCT-disabling logic
Read comment.
diff --git a/src/hb-ot-shape-complex-indic.cc b/src/hb-ot-shape-complex-indic.cc
index 8800d2f..fceb076 100644
--- a/src/hb-ot-shape-complex-indic.cc
+++ b/src/hb-ot-shape-complex-indic.cc
@@ -597,7 +597,12 @@ found_consonant_syllable (const hb_ot_map_t *map, hb_buffer_t *buffer, hb_mask_t
do {
j--;
- info[j].mask &= !mask_array[CJCT];
+ /* Reading the Unicode and OpenType specs, I think the following line
+ * is correct, but this is not what the test suite expects currently.
+ * The test suite has been drinking, not me... But disable while
+ * investigating.
+ */
+ //info[j].mask &= !mask_array[CJCT];
if (non_joiner)
info[j].mask &= !mask_array[HALF];
More information about the HarfBuzz
mailing list